Page MenuHomePhabricator

Redirects should be followed when posting to help desk
Closed, ResolvedPublic

Description

  1. Configure Project:Help desk to be the help desk
  2. Move Project:Help desk to Help:Help desk (or manually make Project:Help desk a redirect to Help:Help desk)
  3. Post a question to the help desk using the help panel

You would expect the redirect to be followed and the question to be posted to Help:Help desk, but instead, we blindly add the question to the bottom of Project:Help desk, which ends up looking like:

#REDIRECT [[Help:Help desk]]

== Question from Newbie on Pagename ==
Question here --Newbie October 13, 2020 at 20:01 UTC

Event Timeline

Catrope created this task.Oct 13 2020, 8:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2020, 8:01 PM
Tgr claimed this task.Oct 14 2020, 9:59 AM

I feel like we discussed this ~1-2 years ago and deliberately implemented in this way, but I don't remember why. And it's possible I am misremembering because I didn't find anything in phabricator to support this. The closest I could find is T222206#5150582 but that issue is about page deletion. I agree that following redirects makes sense.

Change 634123 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/GrowthExperiments@master] Handle redirects in QuestionPoster

https://gerrit.wikimedia.org/r/634123

Change 634123 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Handle redirects in QuestionPoster

https://gerrit.wikimedia.org/r/634123

Etonkovidova closed this task as Resolved.Oct 30 2020, 10:34 PM
Etonkovidova added a subscriber: Etonkovidova.

Tested on betalabs, i.e.

  • moved Wikipedia:Help_desk to Help:Help_desk
  • posted via Help panel - the question was posted correctly